Bug 174443 - OOo crashed trying to print.
OOo crashed trying to print.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-28 22:07 EST by Rodd Clarkson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-29 08:02:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stack trace (5.00 KB, text/plain)
2005-11-29 07:46 EST, Tarjei Knapstad
no flags Details

  None (edit)
Description Rodd Clarkson 2005-11-28 22:07:09 EST
Description of problem:

Crashed trying to print to printer added after OOo was started.

I'm having some printing initialization problems so you might want to look at
this bug (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=168645), but
regardless, OOo shouldn't crash.

I tried printing a couple of times having plugged the printer in and restarting
cups.  All of a sudden OOo spat out the following output and suggested including
 it in a bug report.

Video Driver is probably nvidia
OpenOffice.org core rpm version is openoffice.org-core-2.0.1-0.141.3.1
0x66b1137: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e137
0x66b18ff: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e8ff
0xa3c420:  + 0x420 (__kernel_sigreturn + 0x0)
0x6b9939f: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x27439f
(SvtBasePrintOptions::GetPrinterOptions(PrinterOptions&) const + 0x1d)
0x1714aba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x173aba
(SfxPrinter::InitJob(Window*, unsigned char) + 0x68)
0x10d6a4f: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x699a4f
(SwView::DoPrint(SfxPrinter*, PrintDialog*, unsigned char) + 0x1f5)
0x1719dcd: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x178dcd
0x170b14e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x16a14e
0x173e2ba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19d2ba
0x1743cc1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a2cc1
(SfxShell::ExecuteSlot(SfxRequest&, SfxInterface const*) + 0x91)
0x10d794f: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x69a94f
(SwView::ExecutePrint(SfxRequest&) + 0x5cb)
0x10b7982: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x67a982
0x173e2ba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19d2ba
0x173d6a7: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19c6a7
0x173d9bb: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19c9bb
0x173da5e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19ca5e
0x1639b7a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x98b7a
0x17569bd: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b59bd
0x1756878: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b5878
0x17569d2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b59d2
0x1756864: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b5864
0x54bc72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac72
0x6a4e7d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d3e7d
0x3fdff3e: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ef3e
0x400630f: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4530f
(SalDisplay::DispatchInternalEvent() + 0xad)
0x3b3526b: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1926b
0x214b730: /usr/lib/libglib-2.0.so.0 + 0x25730
0x21494ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x214c4d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x214c9b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x3b34e9d: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e9d
0x4007521: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x46521
(X11SalInstance::Yield(unsigned char) + 0x29)
0x551fba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80fba
(Application::Yield() + 0x50)
0x551ff8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80ff8
(Application::Execute() + 0x26)
0x199d71: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x24d71
(desktop::Desktop::Main() + 0x15df)
0x557401: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x86401
0x5574b1: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x864b1 (SVMain()
+ 0x29)
0x1912f7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c2f7 (sal_main +
0x57)
0x191343: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c343 (main + 0x27)
0x2b1d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4e1
Comment 1 Rodd Clarkson 2005-11-28 22:22:24 EST
Ah, scratch all the comment about having cups problems.

I've just restarted OOo, printed (which worked fine) and then printed a second
document (which then crashed OOo).

Here's the output (possibly the same as the last time, but...)

Video Driver is probably nvidia
OpenOffice.org core rpm version is openoffice.org-core-2.0.1-0.141.3.1
0x46e4137: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e137
0x46e48ff: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e8ff
0x8f5420:  + 0x420 (__kernel_sigreturn + 0x0)
0x74ec39f: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x27439f
(SvtBasePrintOptions::GetPrinterOptions(PrinterOptions&) const + 0x1d)
0x1875aba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x173aba
(SfxPrinter::InitJob(Window*, unsigned char) + 0x68)
0x1160a4f: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x699a4f
(SwView::DoPrint(SfxPrinter*, PrintDialog*, unsigned char) + 0x1f5)
0x187adcd: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x178dcd
0x186c14e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x16a14e
0x189f2ba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19d2ba
0x18a4cc1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a2cc1
(SfxShell::ExecuteSlot(SfxRequest&, SfxInterface const*) + 0x91)
0x116194f: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x69a94f
(SwView::ExecutePrint(SfxRequest&) + 0x5cb)
0x1141982: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x67a982
0x189f2ba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19d2ba
0x189e6a7: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19c6a7
0x189e9bb: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19c9bb
0x189ea5e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19ca5e
0x179ab7a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x98b7a
0x18b79bd: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b59bd
0x18b7878: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b5878
0x18b79d2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b59d2
0x18b7864: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b5864
0x54bc72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac72
0x6a4e7d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d3e7d
0x7a37f3e: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ef3e
0x7a5e30f: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4530f
(SalDisplay::DispatchInternalEvent() + 0xad)
0x209e26b: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1926b
0x7f5e730: /usr/lib/libglib-2.0.so.0 + 0x25730
0x7f5c4ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x7f5f4d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x7f5f9b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x209de9d: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e9d
0x7a5f521: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x46521
(X11SalInstance::Yield(unsigned char) + 0x29)
0x551fba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80fba
(Application::Yield() + 0x50)
0x551ff8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80ff8
(Application::Execute() + 0x26)
0xa9fd71: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x24d71
(desktop::Desktop::Main() + 0x15df)
0x557401: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x86401
0x5574b1: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x864b1 (SVMain()
+ 0x29)
0xa972f7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c2f7 (sal_main +
0x57)
0xa97343: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c343 (main + 0x27)
0x325d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4e1
Comment 2 Rodd Clarkson 2005-11-28 22:23:28 EST
After reporting, I restarted OOo and printed the same document fine.
Comment 3 Tarjei Knapstad 2005-11-29 07:45:55 EST
I can confirm this, and it's easily reproducible in the latest test update
(141.1.3). Full stack trace attached.

I initially got this when printing a selection. The first time it works fine,
second time it crashes. Printing to file works just fine as many times as you
like, so this might be CUPS related after all. Definitely a showstopper for
pushing the latest update out of testing :)

Steps to reproduce:
1. Load any document.
2. Print the full document or a selection to a printer.
3. Print again and it crashes.
Comment 4 Tarjei Knapstad 2005-11-29 07:46:53 EST
Created attachment 121580 [details]
Stack trace
Comment 5 Caolan McNamara 2005-11-29 08:02:12 EST
bollox: #128244# gpf on printing twice. Working in SRC680_m142. grinds teeth

Note You need to log in before you can comment on or make changes to this bug.